summaryrefslogtreecommitdiff
path: root/mgbdis.sh
diff options
context:
space:
mode:
authormid-kid <esteve.varela@gmail.com>2020-09-10 23:47:11 +0200
committermid-kid <esteve.varela@gmail.com>2020-09-10 23:47:11 +0200
commitacf910ba7cc321c0d57a928e4cbba599b837b8b8 (patch)
treee0870f419c95fe5b8582dc92ccd1e105856980c7 /mgbdis.sh
parent6a48df93672e8771e893be040f87178d0607d3ef (diff)
Document char printing routine
Diffstat (limited to 'mgbdis.sh')
-rwxr-xr-xmgbdis.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/mgbdis.sh b/mgbdis.sh
index 5fd331d..867c797 100755
--- a/mgbdis.sh
+++ b/mgbdis.sh
@@ -1,4 +1,10 @@
#!/bin/sh
+
+if ! fgrep -qx ';APPEND' picross.sym; then
+ echo ';APPEND' >> picross.sym
+ cat shim_mgbdis.sym >> picross.sym
+fi
+
./mgbdis/mgbdis.py --overwrite \
--disable-auto-ldh \
--ld_c ldh_c \